// ignore_for_file: public_member_api_docs, sort_constructors_first
// Copyright (C) 2023 WYATT GROUP
// Please see the AUTHORS file for details.
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <https://www.gnu.org/licenses/>.

import 'package:flutter/widgets.dart';
import 'package:wyatt_ui_components/src/domain/entities/buttons/button_style.dart';

class FlatButtonStyle extends ButtonStyle {
  const FlatButtonStyle({
    super.radius = 15,
    super.padding = 10,
    super.borderColors,
    super.backgroundColor,
    super.shadow = const BoxShadow(
      blurRadius: 30,
      offset: Offset(0, 5),
      color: Color.fromRGBO(0, 0, 0, 0.05),
    ),
  });

  @override
  FlatButtonStyle copyWith({
    double? radius,
    double? padding,
    List<Color>? borderColors,
    Color? backgroundColor,
    BoxShadow? shadow,
    double? stroke,
  }) =>
      FlatButtonStyle(
        radius: radius ?? this.radius,
        padding: padding ?? this.padding,
        borderColors: borderColors ?? this.borderColors,
        backgroundColor: backgroundColor ?? this.backgroundColor,
        shadow: shadow ?? this.shadow,
      );
}
